/*@cc_on _d=document;eval('var document=_d')@*/
//画像
var BASE_IMG = "http://kanduki.sakura.ne.jp/image/illust/ro298.ktai.jpg";

//ブラシサイズ
var BRUSH_SIZE = 20;

//画像オブジェクト
var img = new Image();

//UA IE以外:0 IE:1 iPhone:2
var MS_UA = navigator.userAgent.toLowerCase();
if(MS_UA.indexOf("msie") > -1){		//IE
	if (navigator.appVersion.indexOf("MSIE 9.0") > -1) {
		MS_UA = 0;
	}else{
		MS_UA = 1;
	}
}else if (MS_UA.match(/iPhone|iPad/i)) {
	MS_UA = 2;
}else{
	MS_UA = 0;
}

//getElementByIdを簡単にする記述
function $(e) { return document.getElementById(e); }

function drowImage(e) {
	var ctx = $('ms-canvas').getContext('2d');
	var mpos = getMousePoint(e);		//マウス座標
	
	var vx = mpos.x;
	var vy = mpos.y;
	
	//ブラシサイズを取得
	var br = $("brush-select");
	var bradios = br.getElementsByTagName("input");
	for (i = 0; i < bradios.length; i++) {
		if(bradios[i].checked){
			BRUSH_SIZE = bradios[i].value - 0;
		}
	}
	
	ctx.beginPath();
	ctx.arc(vx, vy, BRUSH_SIZE, 0, Math.PI*2, false);		//円のパスを描く
	ctx.fill();														//パスを塗りつぶす
}
//キャンバスの初期化
function initCoverImage() {
	var c = $('canvas-base');
	var cv = $('ms-canvas');
	if(MS_UA != 1){	//IE以外
		c.innerHTML = '<canvas id="ms-canvas" width="'+cv.width+'" height="'+cv.height+'"></canvas>';
		c.innerHTML += '<div><button class="mousatsu-reset" onclick="initCoverImage();">Reset</button></div>';
	}
	initFuncs();
	var ctx = $('ms-canvas').getContext('2d');
	ctx.drawImage(img, 0, 0, cv.width, cv.height);
}

//マウス座標取得
function getMousePoint(e) {
	var obj = new Object();
	if(MS_UA == 0){	//IE以外
		var rect = e.target.getBoundingClientRect();
		obj.x = e.clientX - rect.left;
		obj.y = e.clientY - rect.top;
	}else{
		var rect = getElementScreenPosition($("ms-canvas"));
		obj.x = Math.floor(window.event.clientX + document.body.scrollLeft - rect.left);
		obj.y = Math.floor(window.event.clientY + document.body.scrollTop - rect.top);
	}
	
	//alert(obj.x+" "+obj.y);
	return obj;
}
//canvasの座標取得
function getElementScreenPosition(elem) {
  var html = document.documentElement;
  var rect = elem.getBoundingClientRect();
  var left = rect.left - html.clientLeft;
  var top = rect.top - html.clientTop;
  return {left:left, top:top};
}

//キャンバスの関数設定
function initFuncs() {
	var c = $("ms-canvas");
	c.onclick = (function() { var e = arguments[0] || window.event; drowImage(e)});
}
window.onload = function () {
	
	img.src = BASE_IMG;
	img.onload = (function() {
		initCoverImage();
	});
}